## AwnOverlayThemedIcon AwnOverlayThemedIcon — Themed Icon overlay for use with AwnThemedIcon. |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <libawn/libawn.h>

                        AwnOverlayThemedIcon;
    AwnOverlayThemedIcon* awn_overlay_themed_icon_new       (const gchar *icon_name);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----AwnOverlay
                   +----AwnOverlayThemedIcon

## Properties

      "alpha"                    gdouble               : Read / Write / Construct
      "icon-name"                gchar*                : Read / Write / Construct
      "scale"                    gdouble               : Read / Write / Construct

## Description

Themed Icon overlay used with an AwnThemedIcon.

## Details

### AwnOverlayThemedIcon

    typedef struct _AwnOverlayThemedIcon AwnOverlayThemedIcon;

Themed Icon overlay used with an AwnThemedIcon.

### awn_overlay_themed_icon_new ()

    AwnOverlayThemedIcon* awn_overlay_themed_icon_new       (const gchar *icon_name);

`icon_name` : | A themed icon icon name.
Returns : |

## Property Details

### The `"alpha"` property

      "alpha"                    gdouble               : Read / Write / Construct

The alpha value to apply to the icon overlay. Range 0.0...1.0. Defaults to 0.9

Allowed values: [0,1]

Default value: 0.9

### The `"icon-name"` property

      "icon-name"                gchar*                : Read / Write / Construct

The themed icon name of the icon to be overlayed.

Default value: ""

### The `"scale"` property

      "scale"                    gdouble               : Read / Write / Construct

The desired size of the overlay scaled to the Icon. Range 0.0...1.0. Default value of 0.3

Allowed values: [0,1]

Default value: 0.3

## See Also

#AwnEffects, AwnOverlay, AwnOverlayPixbuf, AwnOverlayPixbufFile, AwnOverlayThrobber, AwnOverlayText, AwnThemedIcon.